commit 093100350bbff65b08ad6255e4f2c827d3cf54d3
Author: Ahmed Ammar <aammar@genesi-usa.com>
Date:   Tue Sep 17 17:20:18 2013 +0200

    sabresd: change to uart1

diff --git a/kernel/fiasco/src/kern/arm/bsp/imx/mem_layout-arm-imx.cpp b/kernel/fiasco/src/kern/arm/bsp/imx/mem_layout-arm-imx.cpp
index 1b849b7..df03cfc 100644
--- a/kernel/fiasco/src/kern/arm/bsp/imx/mem_layout-arm-imx.cpp
+++ b/kernel/fiasco/src/kern/arm/bsp/imx/mem_layout-arm-imx.cpp
@@ -109,7 +109,7 @@ public:
     Watchdog_map_base    = Devices2_map_base + 0xbc000, // wdog1
     Gpt_map_base         = Devices2_map_base + 0x98000,
     Src_map_base         = Devices2_map_base + 0xd8000,
-    Uart_base            = Uart2_map_base,
+    Uart_base            = Uart1_map_base,
   };
 
   enum Phys_layout_imx6 : Address {
diff --git a/kernel/fiasco/src/kern/arm/bsp/imx/uart-imx.cpp b/kernel/fiasco/src/kern/arm/bsp/imx/uart-imx.cpp
index 7f6e572..a704645 100644
--- a/kernel/fiasco/src/kern/arm/bsp/imx/uart-imx.cpp
+++ b/kernel/fiasco/src/kern/arm/bsp/imx/uart-imx.cpp
@@ -41,7 +41,9 @@ IMPLEMENTATION [imx6]:
 
 #include "uart_imx.h"
 
-IMPLEMENT int Uart::irq() const { return 59; }
+// uart-1: 58
+// uart-2: 59
+IMPLEMENT int Uart::irq() const { return 58; }
 
 IMPLEMENT L4::Uart *Uart::uart()
 {
diff --git a/l4/pkg/bootstrap/server/src/platform/imx.cc b/l4/pkg/bootstrap/server/src/platform/imx.cc
index e328deb..82ba849 100644
--- a/l4/pkg/bootstrap/server/src/platform/imx.cc
+++ b/l4/pkg/bootstrap/server/src/platform/imx.cc
@@ -124,8 +124,8 @@ class Platform_arm_imx : public Platform_single_region_ram
 
         /* End Neon Setup */
 
-    //static L4::Io_register_block_mmio r(0x02020000); // UART1
-    static L4::Io_register_block_mmio r(0x021e8000); // UART2
+    static L4::Io_register_block_mmio r(0x02020000); // UART1
+    //static L4::Io_register_block_mmio r(0x021e8000); // UART2
     static L4::Uart_imx6 _uart;
 #else
 #error Which platform type?
